#
# Be sure to run `pod lib lint BFCommonKit.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFCommonKit'
  s.version          = '0.1.8'
  s.summary          = 'A short description of BFCommonKit.'
  s.swift_version    = '5.0'
# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://git.yishihui.com/wenweiwei/BFCommonKit'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'wenweiwei' => 'wenweiwei@piaoquantv.com' }
  s.source           = { :git => 'https://git.yishihui.com/wenweiwei/BFCommonKit.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '10.0'

#  s.source_files = 'Classes/**/*'
  # subspec
  s.subspec 'Base' do |bb|
    bb.source_files = 'BFCommonKit/Classes/Base/**/*'
    bb.frameworks = 'UIKit', 'WebKit'
    bb.dependency 'Alamofire','4.9.1'
  end
  s.subspec 'Enums' do |ee|
    ee.source_files = 'BFCommonKit/Classes/Enums/*'
    ee.frameworks = 'Foundation'
  end
  s.subspec 'BFCategorys' do |cc|
    cc.source_files = 'BFCommonKit/Classes/BFCategorys/*'
    cc.frameworks = 'Foundation','UIKit','MobileCoreServices','CommonCrypto'
    cc.dependency 'KingfisherWebP','1.3.0'
    cc.dependency 'BFCommonKit/BFUtility'
  end
  s.subspec 'BFUtility' do |uu|
    uu.source_files = 'BFCommonKit/Classes/BFUtility/*'
    uu.frameworks = 'Foundation','UIKit','AdSupport','Photos','AudioToolbox','AVKit'
    uu.dependency 'KingfisherWebP','1.3.0'
    uu.dependency 'Alamofire','4.9.1'
    uu.dependency 'KeychainAccess','4.2.2'
    uu.dependency 'Kingfisher','6.3.0'
    uu.dependency 'Toast-Swift','5.0.1'
  end
  s.subspec 'BFDebug' do |dd|
    dd.source_files = 'BFCommonKit/Classes/BFDebug/*'
    dd.frameworks = 'UIKit','MessageUI','WebKit'
  end

  # s.resource_bundles = {
  #   'BFCommonKit' => ['BFCommonKit/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
#  s.frameworks = 'UIKit', 'AVFoundation','CoreMedia', 'QuartzCore'
#  s.dependency 'Kingfisher','6.3.0'
#  s.dependency 'KingfisherWebP','1.3.0'
#  s.dependency 'SnapKit','5.0.1'
#  s.dependency 'Alamofire','4.9.1'
#  s.dependency 'KeychainAccess','4.2.2'
#  s.dependency 'Toast-Swift','5.0.1'
#  s.dependency 'FDFullscreenPopGesture'
end
